WebLogicSubTask.CreateTablesType (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.bea.wls.ejb.WebLogicSubTask.CreateTablesType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.bea.wls.ejb
Class WebLogicSubTask.CreateTablesType

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.bea.wls.ejb.WebLogicSubTask.CreateTablesType

Enclosing class:
  WebLogicSubTask

public static class WebLogicSubTask.CreateTablesType
extends org.apache.tools.ant.types.EnumeratedAttribute

created
  30 july 2004

Field Summary
`static String` | `ALTER_OR_CREATE`
`static String` | `CREATE_ONLY`
`static String` | `DISABLED`
`static String` | `DROP_AND_CREATE`
`static String` | `DROP_AND_CREATE_ALWAYS`
`static String` | `FALSE`
`static String` | `TRUE`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WebLogicSubTask.CreateTablesType()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the createTables object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FALSE

    public static final String FALSE

See Also:
  Constant Field Values

### TRUE

    public static final String TRUE

See Also:
  Constant Field Values

### DISABLED

    public static final String DISABLED

See Also:
  Constant Field Values

### CREATE_ONLY

    public static final String CREATE_ONLY

See Also:
  Constant Field Values

### DROP_AND_CREATE

    public static final String DROP_AND_CREATE

See Also:
  Constant Field Values

### DROP_AND_CREATE_ALWAYS

    public static final String DROP_AND_CREATE_ALWAYS

See Also:
  Constant Field Values

### ALTER_OR_CREATE

    public static final String ALTER_OR_CREATE

See Also:
  Constant Field Values

Constructor Detail

### WebLogicSubTask.CreateTablesType

    public WebLogicSubTask.CreateTablesType()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the createTables object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD